/*!
 * \file article.cpp
 * \brief An article object to store information on an article in the RMS.
 *
 * An article account object to store information on an article in the RMS.
 *
 * \author Russell Toris, WPI - rctoris@wpi.edu
 * \date December 30, 2012
 */

#include <rmscpp/content/articles/article.h>

using namespace std;
using namespace rms;

article::article(int artid, std::string title, std::string content, int pageid, int index)
{
  // assign the fields
  this->artid = artid;
  this->title = title;
  this->content = content;
  this->pageid = pageid;
  this->index = index;
}

int article::get_artid()
{
  return artid;
}

string article::get_title()
{
  return title;
}

string article::get_content()
{
  return content;
}

int article::get_pageid()
{
  return pageid;
}

int article::get_index()
{
  return index;
}
