/*!
 * \file content_page.cpp
 * \brief A content page object to store information on a content page in the RMS.
 *
 * A content page object to store information on a content page in the RMS.
 *
 * \author Russell Toris, WPI - rctoris@wpi.edu
 * \date December 30, 2012
 */

#include <rmscpp/content/content_pages/content_page.h>

using namespace std;
using namespace rms;

content_page::content_page(int pageid, std::string title, std::string menu, int index, std::string js)
{
  // assign the fields
  this->pageid = pageid;
  this->title = title;
  this->menu = menu;
  this->index = index;
  this->js = js;
}

int content_page::get_pageid()
{
  return pageid;
}

string content_page::get_title()
{
  return title;
}

string content_page::get_menu()
{
  return menu;
}

int content_page::get_index()
{
  return index;
}

std::string content_page::get_js()
{
  return js;
}
