/*!
 * \file user_account.cpp
 * \brief A user account object to store information on a user in the RMS.
 *
 * A user account object to store information on a user in the RMS.
 *
 * \author Russell Toris, WPI - rctoris@wpi.edu
 * \date December 30, 2012
 */

#include <rmscpp/users/user_accounts/user_account.h>

using namespace std;
using namespace rms;

user_account::user_account(int uid, string username, string fname, string lname, string email,
                           USER_ACCOUNT_TYPE type)
{
  // assign the fields
  this->uid = uid;
  this->username = username;
  this->fname = fname;
  this->lname = lname;
  this->email = email;
  this->type = type;
}

int user_account::get_userid()
{
  return uid;
}

string user_account::get_username()
{
  return username;
}

string user_account::get_firstname()
{
  return fname;
}

string user_account::get_lastname()
{
  return lname;
}

string user_account::get_email()
{
  return email;
}

USER_ACCOUNT_TYPE user_account::get_type()
{
  return type;
}
